% initialize the COBRA Toolbox and import the model from the spreadsheets
initCobraToolbox;
%model = readCbModel('iCS380');
model = readCbModel('iCS382');
% load gene-reaction associations and constraints
model = loadGRRules(model, 'grRules.xlsx');
constraints = loadConstraints('Constraints.xlsx');
% normalize constraints to 12 hour doubling time for ME49
scale = getConstraintScale(model, constraints, 1/12);
% create model with constraints from ME49 mRNA expression
modelME49 = constrainModel(model, constraints, 'ME49');
modelME49 = scaleConstraints(modelME49, scale);

modelRH = constrainModel(model, constraints, 'RH1');
modelRH = scaleConstraints(modelRH, scale);