function constraints = loadConstraints(file)
% Construct constraint matrix from a spreadsheet
% input: spreadsheet with headers and rows identified by EC numbers
% output: struct constraint 
%           conditions: array of strings as column identifier
%           reactions: array of strings as row identifier
%           values: matrix of constraint values

constraints = struct();
[constraints.values headers] = xlsread(file);
constraints.conditions = headers(1,2:end);
constraints.reactions = headers(2:end, 1);